Bug 839890 - Negotiation Guide: users.properties should be replaced by roles.properties (for roles mapping)
Negotiation Guide: users.properties should be replaced by roles.properties (f...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 5
Classification: JBoss
Component: doc-Admin_and_Config_Guide (Show other bugs)
5.1.2,5.1.3
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Scott Mumford
Rajesh Rajasekaran
docrebuild (5.x)
: Documentation, EasyFix, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-13 03:10 EDT by Josef Cacek
Modified: 2014-05-15 00:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-15 00:41:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBPAPP-9592 Minor Closed Negotiation Guide: users.properties should be replaced by roles.properties (for roles mapping) 2014-04-08 18:59:58 EDT

  None (edit)
Description Josef Cacek 2012-07-13 03:10:51 EDT
Document URL:
http://documentation-stage.bne.redhat.com/docs/en-US/JBoss_Enterprise_Application_Platform/5/html/Negotiation_User_Guide/sect-Role_Mapping.html

Section Number and Name:
2.4.1. Setting up Role Mapping with a Users Properties File

Describe the issue:
"Users Properties" and "users.properties" should be replaced by "Roles Properties" and "roles.properties". 

Additional information:
users.properties file is used for defining username-password mapping, but roles.properties is used to map roles to a user.
Comment 2 Josef Cacek 2013-03-22 09:09:34 EDT
There is still one problem left.
2.4.1. - point 2:

Instead of 
"$JBOSS_HOME/server/$PROFILE/conf/props/spnego-users.properties"
use 
"$JBOSS_HOME/server/$PROFILE/conf/props/roles.properties"
Comment 3 Scott Mumford 2013-03-24 20:38:25 EDT
This last reference to 'spegno-users.properties' has been replaced with 'roles.properties'.

The change will appear in the next update push to the docs stage.
Comment 4 Scott Mumford 2013-06-17 00:23:17 EDT
Reassigning to docs lead to request rebuild of EAP 5 Admin & Config Guide.
Comment 5 Scott Mumford 2014-03-06 00:39:40 EST
Have requested doc rebuild to reflect fix.
Comment 6 Scott Mumford 2014-03-10 16:48:36 EDT
There appears to be references to spnego-roles.properties in the example code in chapter 2.3. 'Defining Application Security Domain' (1). Should these be removed as well, or do they conform to the rule?


1: http://documentation-devel.engineering.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/5/html-single/Negotiation_User_Guide/index.html#applicationSecurityDomain
Comment 7 Scott Mumford 2014-03-31 00:00:53 EDT
Moving ticket to ON_QA as the orignal request has been satisfied.

If the issue mentioned in comment 6 needs addressing, please comment to that effect and return ticket to ASSIGNED.
Comment 8 Ondrej Lukas 2014-04-08 07:18:20 EDT
Issue mentioned in comment#6 doesn't need addressing. Verified on stage.

Note You need to log in before you can comment on or make changes to this bug.